#include "type.h"

//Boot Parameter Block

#define BYTE_PER_SECTOR		(0x0B)
#define SECTOR_PER_CLUSTER	(0x0D)
#define RESERVE_SECTOR		(0x0E)
#define FAT_NUM			(0x10)
#define	ROOT_ENTRICE		(0x11)
#define SMALL_SECTOR		(0x13)
#define MEDIA_DESCRIPTOR	(0x15)
#define SECTOR_PER_FAT_2	(0x16)
#define SECTOR_PER_TRACK	(0x18)
#define HEAD_NUM		(0x1A)
#define HIDE_SECTOR		(0x1C)
#define LARGE_SECTOR		(0x20)
#define SECTOR_PER_FAT_4	(0x24)
#define EXT_FLAG		(0x28)
#define FILE_SYSTEM_VERSION	(0x2A)
#define ROOT_CLUSTER	(0x2C)
#define FSINFO_SECTOR		(0x30)
#define BACKUP_SECTOR		(0x34)

#define PHY_DRIVE_NUM		(0x40)
#define EXT_BOOT_SIGN		(0x41)
#define	VOLUME_SERIAL_NUM	(0x43)
#define VOLUME_LABLE		(0x47)
#define SYSTEM_ID_STRING	(0x52)


extern void fnFAT32_init(FS_t *fs,DWORD offset_sector);
